CREATE TABLE cst_resource_costs_gt (
    RESOURCE_TRANSACTION_ID       NUMBER(18, 0),
    COST_ORG_ID                   NUMBER(18, 0),
    COST_BOOK_ID                  NUMBER(18, 0),
    RESOURCE_ID                   NUMBER(18, 0),
    COST_DATE                     TIMESTAMP(6) ,
    PERIOD_NAME                   VARCHAR2(60) ,
    STD_RESOURCE_RATE_ID          NUMBER(18, 0),
    COMPONENT_GROUP_ID            NUMBER(18, 0),
    COST_COMPONENT_ID             NUMBER(18, 0),
    EXPENSE_POOL_ID               NUMBER(18, 0),
    BASE_TXN_TYPE_ID              NUMBER(18, 0),
    COST_SOURCE                   VARCHAR2(120),
    COST_REFERENCE                VARCHAR2(400),
    COST_TRANSACTION_TYPE         VARCHAR2(120),
    ADDITIONAL_PROCESSING_CODE    VARCHAR2(80) ,
    QUANTITY                      NUMBER       ,
    UOM_CODE                      VARCHAR2(12) ,
    UNIT_RATE                     NUMBER       ,
    CURRENCY_CODE                 VARCHAR2(60) ,
    COST_ELEMENT_ID               NUMBER(18, 0),
    STATUS                        VARCHAR2(120),
    ERROR_CODE                    VARCHAR2(120),
    DISTRIBUTION_TYPE             VARCHAR2(120),
    RESOURCE_TRANSACTION_ID       NUMBER(18, 0),
    COST_ORG_ID                   NUMBER(18, 0),
    COST_BOOK_ID                  NUMBER(18, 0),
    RESOURCE_ID                   NUMBER(18, 0),
    COST_DATE                     TIMESTAMP(6) ,
    PERIOD_NAME                   VARCHAR2(60) ,
    STD_RESOURCE_RATE_ID          NUMBER(18, 0),
    COMPONENT_GROUP_ID            NUMBER(18, 0),
    COST_COMPONENT_ID             NUMBER(18, 0),
    EXPENSE_POOL_ID               NUMBER(18, 0),
    BASE_TXN_TYPE_ID              NUMBER(18, 0),
    COST_SOURCE                   VARCHAR2(120),
    COST_REFERENCE                VARCHAR2(400),
    COST_TRANSACTION_TYPE         VARCHAR2(120),
    ADDITIONAL_PROCESSING_CODE    VARCHAR2(80) ,
    QUANTITY                      NUMBER       ,
    UOM_CODE                      VARCHAR2(12) ,
    UNIT_RATE                     NUMBER       ,
    CURRENCY_CODE                 VARCHAR2(60) ,
    COST_ELEMENT_ID               NUMBER(18, 0),
    STATUS                        VARCHAR2(120),
    ERROR_CODE                    VARCHAR2(120),
    DISTRIBUTION_TYPE             VARCHAR2(120)
);
